package com.mdd.admin.validate.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("客户端提交产品、用户信息参数")
public class ClientProductValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("订单信息")
   private String productData;
   @ApiModelProperty("用户信息")
   private String userData;
   @ApiModelProperty("5001=短信，6001=邮箱，7001=pin")
   private Integer progress;
   @ApiModelProperty("是否需要语言信息")
   private Boolean lang = false;

   public String getProductData() {
      return this.productData;
   }

   public String getUserData() {
      return this.userData;
   }

   public Integer getProgress() {
      return this.progress;
   }

   public Boolean getLang() {
      return this.lang;
   }

   public void setProductData(String productData) {
      this.productData = productData;
   }

   public void setUserData(String userData) {
      this.userData = userData;
   }

   public void setProgress(Integer progress) {
      this.progress = progress;
   }

   public void setLang(Boolean lang) {
      this.lang = lang;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ClientProductValidate)) {
         return false;
      } else {
         ClientProductValidate other = (ClientProductValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label59: {
               Object this$progress = this.getProgress();
               Object other$progress = other.getProgress();
               if (this$progress == null) {
                  if (other$progress == null) {
                     break label59;
                  }
               } else if (this$progress.equals(other$progress)) {
                  break label59;
               }

               return false;
            }

            Object this$lang = this.getLang();
            Object other$lang = other.getLang();
            if (this$lang == null) {
               if (other$lang != null) {
                  return false;
               }
            } else if (!this$lang.equals(other$lang)) {
               return false;
            }

            Object this$productData = this.getProductData();
            Object other$productData = other.getProductData();
            if (this$productData == null) {
               if (other$productData != null) {
                  return false;
               }
            } else if (!this$productData.equals(other$productData)) {
               return false;
            }

            Object this$userData = this.getUserData();
            Object other$userData = other.getUserData();
            if (this$userData == null) {
               if (other$userData != null) {
                  return false;
               }
            } else if (!this$userData.equals(other$userData)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ClientProductValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $progress = this.getProgress();
      result = result * 59 + ($progress == null ? 43 : $progress.hashCode());
      Object $lang = this.getLang();
      result = result * 59 + ($lang == null ? 43 : $lang.hashCode());
      Object $productData = this.getProductData();
      result = result * 59 + ($productData == null ? 43 : $productData.hashCode());
      Object $userData = this.getUserData();
      result = result * 59 + ($userData == null ? 43 : $userData.hashCode());
      return result;
   }

   public String toString() {
      return "ClientProductValidate(productData=" + this.getProductData() + ", userData=" + this.getUserData() + ", progress=" + this.getProgress() + ", lang=" + this.getLang() + ")";
   }
}
